from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class Base(_message.Message):
    __slots__ = ["key", "username"]
    KEY_FIELD_NUMBER: _ClassVar[int]
    USERNAME_FIELD_NUMBER: _ClassVar[int]
    key: str
    username: str
    def __init__(self, username: _Optional[str] = ..., key: _Optional[str] = ...) -> None: ...

class DeliveryEntity(_message.Message):
    __slots__ = ["isEnabled", "protocolSets", "publishedHostname", "publishedUrlPath", "shortname", "sourceHostname", "sourceUrlPath", "status", "uuid"]
    ISENABLED_FIELD_NUMBER: _ClassVar[int]
    PROTOCOLSETS_FIELD_NUMBER: _ClassVar[int]
    PUBLISHEDHOSTNAME_FIELD_NUMBER: _ClassVar[int]
    PUBLISHEDURLPATH_FIELD_NUMBER: _ClassVar[int]
    SHORTNAME_FIELD_NUMBER: _ClassVar[int]
    SOURCEHOSTNAME_FIELD_NUMBER: _ClassVar[int]
    SOURCEURLPATH_FIELD_NUMBER: _ClassVar[int]
    STATUS_FIELD_NUMBER: _ClassVar[int]
    UUID_FIELD_NUMBER: _ClassVar[int]
    isEnabled: bool
    protocolSets: _containers.RepeatedCompositeFieldContainer[ProtocolSet]
    publishedHostname: str
    publishedUrlPath: str
    shortname: str
    sourceHostname: str
    sourceUrlPath: str
    status: str
    uuid: str
    def __init__(self, uuid: _Optional[str] = ..., isEnabled: bool = ..., shortname: _Optional[str] = ..., status: _Optional[str] = ..., sourceHostname: _Optional[str] = ..., publishedHostname: _Optional[str] = ..., sourceUrlPath: _Optional[str] = ..., publishedUrlPath: _Optional[str] = ..., protocolSets: _Optional[_Iterable[_Union[ProtocolSet, _Mapping]]] = ...) -> None: ...

class DeliveryList(_message.Message):
    __slots__ = ["deliveries"]
    DELIVERIES_FIELD_NUMBER: _ClassVar[int]
    deliveries: _containers.RepeatedCompositeFieldContainer[DeliveryEntity]
    def __init__(self, deliveries: _Optional[_Iterable[_Union[DeliveryEntity, _Mapping]]] = ...) -> None: ...

class DeliveryRequest(_message.Message):
    __slots__ = ["base", "delivery"]
    BASE_FIELD_NUMBER: _ClassVar[int]
    DELIVERY_FIELD_NUMBER: _ClassVar[int]
    base: Base
    delivery: DeliveryEntity
    def __init__(self, base: _Optional[_Union[Base, _Mapping]] = ..., delivery: _Optional[_Union[DeliveryEntity, _Mapping]] = ...) -> None: ...

class IdRequest(_message.Message):
    __slots__ = ["base", "id"]
    BASE_FIELD_NUMBER: _ClassVar[int]
    ID_FIELD_NUMBER: _ClassVar[int]
    base: Base
    id: str
    def __init__(self, base: _Optional[_Union[Base, _Mapping]] = ..., id: _Optional[str] = ...) -> None: ...

class ProtocolSet(_message.Message):
    __slots__ = ["options", "publishedProtocol", "sourceProtocol"]
    OPTIONS_FIELD_NUMBER: _ClassVar[int]
    PUBLISHEDPROTOCOL_FIELD_NUMBER: _ClassVar[int]
    SOURCEPROTOCOL_FIELD_NUMBER: _ClassVar[int]
    options: _containers.RepeatedCompositeFieldContainer[ProtocolSetOptions]
    publishedProtocol: str
    sourceProtocol: str
    def __init__(self, sourceProtocol: _Optional[str] = ..., publishedProtocol: _Optional[str] = ..., options: _Optional[_Iterable[_Union[ProtocolSetOptions, _Mapping]]] = ...) -> None: ...

class ProtocolSetOptions(_message.Message):
    __slots__ = ["name", "parameters", "source"]
    NAME_FIELD_NUMBER: _ClassVar[int]
    PARAMETERS_FIELD_NUMBER: _ClassVar[int]
    SOURCE_FIELD_NUMBER: _ClassVar[int]
    name: str
    parameters: _containers.RepeatedScalarFieldContainer[str]
    source: str
    def __init__(self, name: _Optional[str] = ..., parameters: _Optional[_Iterable[str]] = ..., source: _Optional[str] = ...) -> None: ...

class ShortNameRequest(_message.Message):
    __slots__ = ["base", "shortName"]
    BASE_FIELD_NUMBER: _ClassVar[int]
    SHORTNAME_FIELD_NUMBER: _ClassVar[int]
    base: Base
    shortName: str
    def __init__(self, base: _Optional[_Union[Base, _Mapping]] = ..., shortName: _Optional[str] = ...) -> None: ...
